
***Genero le nuove variabili sull'allattamento

***sezione gravidanza e allattamento

set more off

gen gravidanza=.
replace gravidanza=1 if s11_gravida=="t"
replace gravidanza=0 if s11_gravida=="f"
label define gravidanza 1"1 si" 0"0 no"
label value gravidanza gravidanza

gen partorito12mesi=s11_partorito_12mesi
label define partorito12mesi 1"1 si" 2"2 no" 3"3 nato morto/deceduto primo anno di vita"
label value partorito12mesi partorito12mesi

gen allattamento=.
replace allattamento=1 if s11_allattamento=="t"
replace allattamento=0 if s11_allattamento=="f"
label define allattamento 1"1 si" 0"0 no"
label value allattamento allattamento



gen gravidanza_puerperio_mese=.
replace gravidanza_puerperio_mese=1 if gravidanza==1 & s11_mese_gravidanza==1
replace gravidanza_puerperio_mese=2 if gravidanza==1 & s11_mese_gravidanza==2
replace gravidanza_puerperio_mese=3 if gravidanza==1 & s11_mese_gravidanza==3
replace gravidanza_puerperio_mese=4 if gravidanza==1 & s11_mese_gravidanza==4
replace gravidanza_puerperio_mese=5 if gravidanza==1 & s11_mese_gravidanza==5
replace gravidanza_puerperio_mese=6 if gravidanza==1 & s11_mese_gravidanza==6
replace gravidanza_puerperio_mese=7 if gravidanza==1 & s11_mese_gravidanza==7
replace gravidanza_puerperio_mese=8 if gravidanza==1 & s11_mese_gravidanza==8
replace gravidanza_puerperio_mese=9 if gravidanza==1 & s11_mese_gravidanza==9
replace gravidanza_puerperio_mese=10 if partorito12mesi==1 & (s11_partorito_nmesi==0 | s11_partorito_nmesi==1)
replace gravidanza_puerperio_mese=11 if partorito12mesi==1 & s11_partorito_nmesi==2
replace gravidanza_puerperio_mese=12 if partorito12mesi==1 & s11_partorito_nmesi==3
replace gravidanza_puerperio_mese=13 if partorito12mesi==1 & s11_partorito_nmesi==4
replace gravidanza_puerperio_mese=14 if partorito12mesi==1 & s11_partorito_nmesi==5
replace gravidanza_puerperio_mese=15 if partorito12mesi==1 & s11_partorito_nmesi==6
replace gravidanza_puerperio_mese=16 if partorito12mesi==1 & s11_partorito_nmesi==7
replace gravidanza_puerperio_mese=17 if partorito12mesi==1 & s11_partorito_nmesi==8
replace gravidanza_puerperio_mese=18 if partorito12mesi==1 & s11_partorito_nmesi==9
replace gravidanza_puerperio_mese=19 if partorito12mesi==1 & s11_partorito_nmesi==10
replace gravidanza_puerperio_mese=20 if partorito12mesi==1 & s11_partorito_nmesi==11
replace gravidanza_puerperio_mese=21 if partorito12mesi==1 & s11_partorito_nmesi==12
replace gravidanza_puerperio_mese=. if partorito12mesi==3 
replace gravidanza_puerperio_mese=. if partorito12mesi==1 &  s11_partorito_nmesi==.
replace gravidanza_puerperio_mese=. if  gravidanza ==1 & s11_partorito_nmesi<9
label define gravidanza_puerperio_mese 1"1 1 mese gravidanza" 2"2 2 mesi gravidanza" 3"3 3 mesi gravidanza" 4"4 4 mese gravidanza" 5"5 5 mese gravidanza" 6"6 6 mesi gravidanza" 7"7 7 mesi gravidanza" 8"8 8 mese gravidanza" 9"9 9 mese gravidanza" 10"10 0-1 mese post parto" 11"11 2 mesi post parto" 12"12 3 mesi post parto" 13"13 4 mesi post parto" 14"14 5 mesi post parto" 15"15 6 mesi post parto" 16"16 7 mesi post parto" 17"17 8 mesi post parto" 18"18 9 mesi post parto" 19"19 10 mesi post parto" 20"20 11 mesi post parto" 21"21 12 mesi post parto" 
label value gravidanza_puerperio_mese gravidanza_puerperio_mese


gen gravidanza_puerperio_trimestre=.
replace gravidanza_puerperio_trimestre=1 if gravidanza==1 & (s11_mese_gravidanza==1 | s11_mese_gravidanza==2 | s11_mese_gravidanza==3)
replace gravidanza_puerperio_trimestre=2 if gravidanza==1 & (s11_mese_gravidanza==4 | s11_mese_gravidanza==5 | s11_mese_gravidanza==6)
replace gravidanza_puerperio_trimestre=3 if gravidanza==1 & (s11_mese_gravidanza==7 | s11_mese_gravidanza==8 | s11_mese_gravidanza==9)
replace gravidanza_puerperio_trimestre=4 if partorito12mesi==1 & (s11_partorito_nmesi==0 | s11_partorito_nmesi==1 | s11_partorito_nmesi==2 | s11_partorito_nmesi==3)
replace gravidanza_puerperio_trimestre=5 if partorito12mesi==1 & (s11_partorito_nmesi==4 | s11_partorito_nmesi==5 | s11_partorito_nmesi==6)
replace gravidanza_puerperio_trimestre=6 if partorito12mesi==1 & (s11_partorito_nmesi==7 | s11_partorito_nmesi==8 | s11_partorito_nmesi==9)
replace gravidanza_puerperio_trimestre=7 if partorito12mesi==1 & (s11_partorito_nmesi==10 | s11_partorito_nmesi==11 | s11_partorito_nmesi==12)
replace gravidanza_puerperio_trimestre=. if partorito12mesi==3 
replace gravidanza_puerperio_trimestre=. if partorito12mesi==1 &  s11_partorito_nmesi==.
replace gravidanza_puerperio_trimestre=. if  gravidanza ==1 & s11_partorito_nmesi<9
label define gravidanza_puerperio_trimestre 1"1 1 trimestre gravidanza" 2"2 2 trimestre gravidanza" 3"3 3 trimestre gravidanza" 4"4 1 trimestre post parto" 5"5 2 trimestre post parto" 6"6 3 trimestre post parto" 7"7 4 trimestre post parto" 
label value gravidanza_puerperio_trimestre gravidanza_puerperio_trimestre





gen gravidanza_partorito1mese=.
replace gravidanza_partorito1mese=1 if gravidanza==1
replace gravidanza_partorito1mese=1 if partorito12mesi==1 & s11_partorito_nmesi<2
replace gravidanza_partorito1mese=0 if gravidanza==0 & partorito12mesi==2
replace gravidanza_partorito1mese=0 if partorito12mesi==1 & s11_partorito_nmesi>1 & s11_partorito_nmesi!=.
replace gravidanza_partorito1mese=. if gravidanza==. | partorito12mesi==.
replace gravidanza_partorito1mese=. if partorito12mesi==3
label define gravidanza_partorito1mese 1 "si" 0 "no"
label value gravidanza_partorito1mese gravidanza_partorito1mese




foreach var of varlist  allattamento{
 replace `var'=. if sesso==1 | sesso==. | (sesso==2 & etarif>49)
}


