
***sezione vaccianzione rosolia

set more off

**vaccinata o no; non so/non ricordo trattati come no
gen vaccinazione_rosolia=.
replace vaccinazione_rosolia=1 if s11_vacc_ros==1 
replace vaccinazione_rosolia=0 if s11_vacc_ros==2
replace vaccinazione_rosolia=0 if s11_vacc_ros==-99
label define vaccinazione_rosolia 1 "1 si" 0 "0 no"
label value vaccinazione_rosolia vaccinazione_rosolia

**rubeotest o no; non so/non ricordo trattati come no
gen rubeotest_effettuato=.
replace rubeotest_effettuato=1 if s11_rubeo==1 
replace rubeotest_effettuato=0 if s11_rubeo==2 
replace rubeotest_effettuato=0 if s11_rubeo==-99
label define rubeotest_effettuato 1 "1 si" 0 "0 no"
label value rubeotest_effettuato rubeotest_effettuato

**esito del test; non so/non ricordo trattati come non ho avuto la rosolia
gen rubeotest_esito=.
replace rubeotest_esito=1 if s11_rubeo_esit==1
replace rubeotest_esito=0 if s11_rubeo_esit==2
replace rubeotest_esito=0 if s11_rubeo_esit==-99
label define rubeotest_esito 1"1 protetta" 0"0 non protetta"
label value rubeotest_esito rubeotest_esito

**definisco in dettaglio chi  immune e chi  suscettibile
gen immune=.
replace immune=1 if vaccinazione_rosolia==0 & s11_rubeo==1 & s11_rubeo_esit==2
replace immune=2 if vaccinazione_rosolia==0 & s11_rubeo==1 & s11_rubeo_esit==-99
replace immune=3 if vaccinazione_rosolia==0 & (s11_rubeo==2 | s11_rubeo==-99)
replace immune=5 if s11_rubeo_esit==1
replace immune=4 if vaccinazione_rosolia==1
label define immune 1"1 suscett: nonvaccinate, rubeotest neg" 2"2 suscett: nonvaccinate, rubeotest fatto ma risultati sconosciuti" 3"3 suscett: nonvaccinate, rubeotest non effettuato/non so se effettuato" 4"4 immuni, vaccinate" 5"5 immuni, rubeotest positivo"
label values immune immune

**definisco se sono suscettibili o immuni
gen immunsuscett=.
replace immunsuscett=1 if immune==1 | immune==2 | immune==3
replace immunsuscett=2 if immune==4 | immune==5
label define immunsuscett 1"1 suscettibili" 2"2 immuni"
label values immunsuscett immunsuscett

**definisco una variabile a tre categorie: immuni, suscettibili, immunit non nota
gen stato3cat=.
replace stato3cat=1 if immune==5 | immune==4
replace stato3cat=2 if immune==1
replace stato3cat=3 if immune==2 | immune==3
label define stato3cat 1"1 immuni" 2"2 suscettibili" 3"3 immunit non nota"
label values stato3cat stato3cat

**definisco una variabile a due categorie: immuni e suscettibili, immunit non nota
gen stato2cat=.
replace stato2cat=1 if immune==5 | immune==4
replace stato2cat=2 if immune==3 | immune==2 |immune==1
label define stato2cat 1"1 immuni" 2"2 suscettibili o non consapevoli"
label values stato2cat stato2cat

*******************************************************

****** metto tutte le variabili della sessione missing se l'intervistato  uomo
****** oppure se donna con 50-69 anni
 
foreach var of varlist  vaccinazione_rosolia{
 replace `var'=. if sesso==1 | sesso==. | (sesso==2 & etarif>49)
}

